// A Sky Factory example
//moving Clouds animation 

 #include "colors.inc"
 global_settings {max_trace_level 20}

 camera{ location <0,10,0>
        look_at <0,10,1>
        right x*image_width/image_height
        }

//======= sky values==================
 //boxes
 #declare BoxL=<-25000,-500,-100>;//lowest corner middle box size
 #declare BoxH=<25000,500,20000>;//upper corner middle box size
 #declare BoxD=1;//difference between 3 boxes
 #declare Boxn=7;//1=Low,2=Mid,4=High,7=all place boxes 0=no boxes

 //background(sky_sphere)
 #declare BackPig=4;//0-11 background(sky_sphere) pigment
                    //<6 gradient >5 cylindrical
 #declare BackRev=0;//reverse background pigment colors
 #declare BackRotate=<0,0,0>;//vector rotate background(sky_sphere 3-5) pigment 
 #declare BackMap=.2;//0-1 pigment color_map point
 #declare BackTurb=<0,0,0>;
 #declare Back_Dc=<1,1,1>;//<1,0.498,0>;// % darken background sky 1=normal

 //Clouds Type & pigment blend maps variables
 //box value 1
 #declare CloudLn=1;//1-5 Low clouds near viewer 
 #declare CloudLf=0;//1-5 Low clouds far from viewer 
  #declare CloudLn_Dc=<1,1,1>;// % darken Ln Clouds 1=normal
  #declare CloudLf_Dc=<1,.8,.8>;// % darken Lf Clouds 1=normal
  #declare CloudLn_Ps=<200,70,200>;  // scale Ln Clouds pigment
  #declare CloudLf_Ps=<1000,70,1000>;// scale Lf Clouds pigment
   #declare CloudL_Mv=<clock*5,clock*.5,-clock*5>;    //translate Ln & Lf Clouds pigments
   #declare CloudL_Rot=<0,0,0>;//Rotate Ln & Lf Clouds pigments
   #declare CloudL_Range=<.1,.5>; // Near/Far color_map transition values x= closest 
   #declare CloudL_Turb=<.1,0,0>; //color_map turbulence value
   #declare CloudL_Amb=<.9,.9,.9>; //Low box ambient
   #declare CloudL_Shadow=no;      //yes/no cast shadows
  
 //box value 2
 #declare CloudMn=1;//1-5 Mid clouds near viewer 
 #declare CloudMf=0;//1-5 Mid clouds far from viewer 
  #declare CloudMn_Dc=<1,1,1>;   // % darken Clouds 1=normal
  #declare CloudMf_Dc=<1,1,1>;// % darken Clouds 1=normal
  #declare CloudMn_Ps=<5+200,70,5+200>;  // scale Ln Clouds pigment
  #declare CloudMf_Ps=<1000,70,1000>;// scale Lf Clouds pigment
  #declare CloudM_Mv=<clock*5,clock*.5,-clock*5>;    //translate Cloud pigments
  #declare CloudM_Rot=<0,0,0>;//Rotate Mn & Mf Clouds pigments
  #declare CloudM_Range=<.1,.5>; //Far/Near color_map transition values x= closest 
  #declare CloudM_Turb=<0,0,0>; //color_map turbulence value
  #declare CloudM_Amb=<.9,.9,1>; //Low box ambient
  #declare CloudM_Shadow=no;      //yes/no cast shadows

 //box value 4
 #declare CloudHn=1;//1-5 high clouds near viewer 
 #declare CloudHf=0;//1-5 high clouds far from viewer 
  #declare CloudHn_Dc=<1,1,1>;  // % darken Clouds 1=normal
  #declare CloudHf_Dc=<1,1,1>;  // % darken Clouds 1=normal
  #declare CloudHn_Ps=<5+200,70,5+200>;  // scale Ln Clouds pigment
  #declare CloudHf_Ps=<1000,70,1000>;// scale Lf Clouds pigment
  #declare CloudH_Mv=<clock*5,clock*.5,-clock*5>; //  translate Clouds pigments
  #declare CloudH_Rot=<0,0,0>;//Rotate Hn & Hf Clouds pigments
  #declare CloudH_Range=<.1,.5>;//Far/Near color_map transition values x= closest 
  #declare CloudH_Turb=<.1,0,0>;//color_map turbulence value
  #declare CloudH_Amb=<1,1,1>; //Low box ambient
  #declare CloudH_Shadow=no;     //yes/no cast shadows

//======== make sky ==============
 #declare Get=yes; #include "Sky_Factory.pov"

//======= show sky ===============
 object{LRClouds}
 sky_sphere{pigment{Sky_Pigment}}

 //ground
 //plane{y,-10 pigment{rgb<.2,.4,.5>}}// rotate z*20} 
// box{<-25999,-499,-99>,<25999,-490,20000> pigment{rgb<.2,.4,.5>}}
 /*/sun
 sphere{0,100 pigment{rgb<1,1,.9>} 
       finish{ambient 1 diffuse 0}
       translate z*5000 rotate BackRotate}
 */
